# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "tongo"
version = "0.5.0"
authors = ["Drew Zemke"]
description = "A TUI for MongoDB"
readme = "README.md"
license = "MIT"
repository = "https://github.com/drewzemke/tongo"

[dependencies.anyhow]
version = "1.0.86"

[dependencies.clap]
version = "4.5.6"
features = ["derive"]

[dependencies.crossterm]
version = "0.27.0"

[dependencies.futures]
version = "0.3.30"

[dependencies.mongodb]
version = "2.8.2"

[dependencies.ratatui]
version = "0.27.0"

[dependencies.serde_json]
version = "1.0.117"

[dependencies.tokio]
version = "1.38.0"
features = ["full"]

[dependencies.tui-input]
version = "0.9.0"

[dependencies.tui-tree-widget]
version = "0.21.0"

[lints.clippy]
nursery = "warn"
pedantic = "warn"
unwrap_used = "warn"
